Updates the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "c1b48a47-1e17-4c45-a01a-341257125c3c",
"user_id": "607f0d7a-9b3e-4ee6-a2cf-c74df615bea5",
"user_planning_slot_type_id": "f1df61be-1084-4957-ace6-fb0c0f97ae76",
"date_from": "2026-09-26T02:37:24.6663449+00:00",
"date_to": "2026-09-26T02:37:24.6663449+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-09-26T02:37:24.6663449+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.